package com.cartoon.wallpapers.live.httpdata;

import okhttp3.Interceptor;
import okhttp3.Response;

import java.io.IOException;

public class NetInterceptor implements Interceptor {

    private final MyReqBody.ProgressListener progressListener;

    public NetInterceptor(MyReqBody.ProgressListener progressListener) {
        this.progressListener = progressListener;
    }

    @Override
    public Response intercept(Chain chain) throws IOException {
        Response originalResponse = chain.proceed(chain.request());
        String fileLength = originalResponse.header("File-Length");
        if (fileLength == null) {
            fileLength = "0";
        }
        return originalResponse.newBuilder()
                .body(new MyReqBody(originalResponse.body(), fileLength, progressListener))
                .build();
    }
}

